Subject: [bmwg] [Fwd: Re: [Sip] What's the difference between session and dialog in SIP?]

From: "Vijay K. Gurbani" <[email-masked]>
Date: Fri, 25 Apr 2008 12:19:22 -0500

Shoot -- I forgot to CC bmwg to this.

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
WWW:   http://www.alcatel-lucent.com/bell-labs

Subject: Re: [Sip] What's the difference between session and dialog in SIP?
From: "Vijay K. Gurbani" <[email-masked]>
To: Ëï×Ú¾ý <[email-masked]>
Cc: [email-masked], IETF SIP List <[email-masked]>
Date: Fri, 25 Apr 2008 12:17:15 -0500

If you have any follow-ups, you may want to move them to
the sip-implementors list ([email-masked]).

Ëï×Ú¾ý wrote:
> Hi, Vijay
> 
> Thanks very much for your timely answers.
> 
> From this specification,  session is a combination of signaling plane
> and media plane messages and processes that enable two or more
> participants to communicate. I think session is a larger scope than
> dialog. In another word, one session can contain more than one dialog.
> Is what I understand right?

The term session, as James pointed out, is a bit stretched.
What a user would consider a "session" may include many dialogs
and SDP sessions.  For instance, consider your example:

    But when one caller invites another callee and gets five
    200 final responses from 5 UA every of which has its own
    session description. We can say that there are 5 dialogs
    between caller and the other 5 callees, right? And then
    what is the exact number of session in this scenario?
    One session or five session?

This could ostensibly be a conferencing service that sends out
five INVITEs, the SDP of each of these INVITEs may have a
the same session (s=) name, although many user agents do not
populate this field.  Of more importance is the <sess-id> of the
SDP o= field.  The conferencing service may use the same sess-id
or may generate different ones (I don't believe it matters.)
In this case, you have five distinct dialogs tied to the
same session from the perspective of the conferencing service
(even though they may have different <sess-id> values.)

Now, turn this around so that you have five people connecting
to a conference bridge simultaneously.  Here, each individual
INVITE will have its own <sess-id>, and there are five dialogs,
but ostensibly you would still consider this a single user-level
session.

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
WWW:   http://www.alcatel-lucent.com/bell-labs

_______________________________________________
bmwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bmwg